// img


.page-img {
    width: 100%;
}

//section posts

.section-posts {
    margin-top: 69px;
    margin-bottom: 69px;

    .post-title {
        line-height: 22px;
        text-transform: uppercase;
        color: $colorTitleSection;
    }

    .post-list {
        margin-top: 24px;
        display: flex;
        row-gap: 32px;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;

        .post-item {
            display: flex;
            justify-content: center;
            align-items: start;

            &-img {
                max-width: 100%;
            }

            &-title {
                font-size: 16px;
                line-height: 30px;
                color: $colorPosttitle;
            }

            &-avtor-comment {
                line-height: 20px;
                color: $colorPostAvtor;
            }

            &-descrip {
                margin-top: 13px;
                font-size: 14px;
                line-height: 26px;
                color: $colorPosrAvtorDescrip ;
            }
        }
    }
}



@media (max-width:320px),
(min-width:320px) {
    .section-posts {
        margin-top: 38px;
        margin-bottom: 43px;

        .post-title {
            font-size: 14px;
        }

        .post-item {
            gap: 11px;
            max-width: 232px;
            flex-direction: column;

            &-title {
                font-size: 14px;
            }

            &-avtor-comment {
                font-size: 11px;
            }

            &-descrip {
                display: none;
            }
        }
    }
}

@media(min-width:768px) {
    .section-posts {
        margin-top: 59px;
        margin-bottom: 59px;

        .post-title {
            font-size: 16px;
        }

        .post-item {
            gap: 19px;
            max-width: 555px;
            flex-direction: row;

            &-item {
                font-size: 16px;
            }

            &-avtor-comment {
                font-size: 12px;
            }

            &-descrip {
                display: block;
            }
        }
    }
}

@media(min-width: 1200px) {
    .section-posts {
        margin-top: 69px;
        margin-bottom: 69px;
    }
}

// section instagram shorts 

.section-inst-shorts {
    position: relative;

    &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 3%;
        background-color: $backgroundInst;
        z-index: -1;
    }

    .short-title {
        line-height: 22px;
        color: $colorTitleSection ;
        text-transform: uppercase;
        display: inline-block;
    }

    .sh-t--wd {
        float: right;
        font-size: 13px;
        line-height: 22px;
    }

    .inst-short-list {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .inst-short-img {
        max-width: 100%;
    }

}


@media (max-width:320px),
(min-width:320px) {

    .section-inst-shorts {
        padding-top: 38px;
        padding-bottom: 42px;

        .short-title {
            font-size: 14px;
        }

        .sh-t--wd {
            display: none;
        }

        .inst-short-list {
            margin-top: 13px;
            gap: unset;

            .inst-short-item:not(:first-child) {
                display: none;
            }
        }
    }

}

@media(min-width:768px) {
    .section-inst-shorts {
        padding-top: 47px;
        padding-bottom: 49px;

        .short-title {
            font-size: 16px;
        }

        .sh-t--wd {
            display: block;
        }

        .inst-short-list {
            margin-top: 35px;
            gap: 9px;

            .inst-short-item:not(:last-child) {
                display: list-item;
            }
        }
    }
}

@media(min-width: 1200px) {

    .section-inst-shorts {

        .inst-short-list {
            margin-top: 24px;
            gap: 10px;

            .inst-short-item:last-child {
                display: list-item;
            }
        }
    }
}